apiVersion: apps/v1
kind: Deployment
metadata:
  name: prov-template-catalog
spec:
  selector:
    matchLabels:
      app: prov-template-catalog
  replicas: 1
  template:
    metadata:
      labels:
        app: prov-template-catalog
    spec:
      securityContext:
        runAsUser: 0
        fsGroup: 0
      containers:
        - name: prov-template-web
          image: prov-template-web
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 80
          resources:
            requests:
              memory: 400M
              cpu: 100m
            limits:
              memory: 400M
              cpu: 100m
        - name: prov-template-api
          image: prov-template-api
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 5000
          env:
            - name: PROV_TMPL_MONGODB_HOSTPORT
              value: prov-template-catalog-mongodb
            - name: PROV_TMPL_github_KEY
              valueFrom:
                secretKeyRef:
                  name: prov-template-api-openid
                  key: PROV_TMPL_github_KEY
            - name: PROV_TMPL_github_SECRET
              valueFrom:
                secretKeyRef:
                  name: prov-template-api-openid
                  key: PROV_TMPL_github_SECRET
            - name: PROV_TMPL_JWT_SECRET
              valueFrom:
                secretKeyRef:
                  name: prov-template-api-openid
                  key: PROV_TMPL_JWT_SECRET
          resources:
            requests:
              memory: 400M
              cpu: 100m
            limits:
              memory: 400M
              cpu: 100m
---
kind: Service
apiVersion: v1
metadata:
  name: prov-template-catalog-web
spec:
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
      name: http
  selector:
    app: prov-template-catalog
---
kind: Service
apiVersion: v1
metadata:
  name: prov-template-catalog-api
spec:
  ports:
    - protocol: TCP
      port: 5000
      targetPort: 5000
      name: http
  selector:
    app: prov-template-catalog